<template>
  <section
    class="w-full flex justify-center items-center"
    :class="{ 'h-full': !embedded }"
  >
    <figure class="text-center">
      <figcaption>
        <v-icon
          icon="mdi-database-remove-outline"
          class="text-gray-400"
          :class="{
            'text-[4rem] lg:text-[5rem] 2xl:text-[6rem]': !embedded,
            'text-[3rem]': embedded,
          }"
        />
      </figcaption>

      <figcaption
        class="text-gray-500 font-light tracking-widest"
        :class="{
          'text-xl lg:text-2xl 2xl:text-3xl': !embedded,
          'text-lg': embedded,
        }"
      >
        Данные не найдены
      </figcaption>
    </figure>
  </section>
</template>

<script setup lang="ts">
type EmptyStateProps = {
  embedded?: boolean;
}

defineProps<EmptyStateProps>();
</script>